import { Component } from 'vue';
import { ExternalComponentType } from '../../../../domain/widget/component-type';
/**
 * 工厂函数：获取 Dropdown 组件
 * @param type - 组件类型
 * @returns 对应的 Vue 组件加载函数
 */
export declare function getDropdownComponent(type: ExternalComponentType): (() => Promise<Component>) | null;
/**
 * 获取所有支持 dropdown 的类型
 */
export declare function getSupportedDropdownTypes(): ExternalComponentType[];
/**
 * 获取下拉 icon
 * @param type
 * @returns
 */
export declare function getDropdownIcon(type: ExternalComponentType): string | undefined;
